Home

Kusama RPC API - State Methods

v1.0.0
Base URL
https://ksm-assethub.nownodes.ioKusama RPC

API for interacting with Kusama via JSON-RPC. Contains state category methods for querying runtime storage, metadata, runtime version, and related information.

Authentication

api-keyAuthapiKey

API Key: API_key in header

ASSETHUB

state

Retrieve storage for a given key

POST
https://ksm-assethub.nownodes.io/state_getStorage

Authorizations

ApiKeyAuthApiKeyAuth

API_key string

NOWNodes API key passed in the api-key header.

Returns the value stored under a specific key at the latest block or a given block.

Body

application/json

JSON-RPC request parameters

jsonrpcstringrequired

JSON-RPC version

idstringrequired

Request identifier

methodstringrequired

Method name

paramsArray<string>required

Array containing storage keys

Response

200OK

Returns the value stored at the specified key

400Bad Request

Malformed address or application ID

401Unauthorized

Invalid API key

500Internal Server Error

Internal server error

Get the runtime version

POST
https://ksm-assethub.nownodes.io/state_getRuntimeVersion

Authorizations

ApiKeyAuthApiKeyAuth

API_key string

NOWNodes API key passed in the api-key header.

Returns version information about the runtime, including spec version, implementation version, and transaction version.

Body

application/json

JSON-RPC request parameters

jsonrpcstringrequired

JSON-RPC version

idstringrequired

Request identifier

methodstringrequired

Method name

paramsArray<any>required

No parameters required

Response

200OK

Runtime version information

400Bad Request

Malformed address or application ID

401Unauthorized

Invalid API key

500Internal Server Error

Internal server error

Retrieve runtime metadata

POST
https://ksm-assethub.nownodes.io/state_getMetadata

Authorizations

ApiKeyAuthApiKeyAuth

API_key string

NOWNodes API key passed in the api-key header.

Returns the runtime metadata, which includes information about modules, calls, storage, and events.

Body

application/json

JSON-RPC request parameters

jsonrpcstringrequired

JSON-RPC version

idstringrequired

Request identifier

methodstringrequired

Method name

paramsArray<any>required

No parameters required

Response

200OK

Runtime metadata in hex format

400Bad Request

Malformed address or application ID

401Unauthorized

Invalid API key

500Internal Server Error

Internal server error

Returns proof of storage entries at a specific block state

POST
https://ksm-assethub.nownodes.io/state_getReadProof

Authorizations

ApiKeyAuthApiKeyAuth

API_key string

NOWNodes API key passed in the api-key header.

Provides a cryptographic proof for the existence and content of storage entries at a given block.

Body

application/json

JSON-RPC request parameters

jsonrpcstringrequired

JSON-RPC version

idstringrequired

Request identifier

methodstringrequired

Method name

paramsArray<any>required

List of storage keys for which to generate proof

Response

200OK

Proof of storage entries

400Bad Request

Malformed address or application ID

401Unauthorized

Invalid API key

500Internal Server Error

Internal server error

Retrieves the storage hash

POST
https://ksm-assethub.nownodes.io/state_getStorageHash

Authorizations

ApiKeyAuthApiKeyAuth

API_key string

NOWNodes API key passed in the api-key header.

Returns the hash of the storage value stored under a specific key.

Body

application/json

JSON-RPC request parameters

jsonrpcstringrequired
idstringrequired
methodstringrequired
paramsArray<any>required

Storage key(s) to compute hash

Response

200OK

Storage hash result

400Bad Request

Malformed address or application ID

401Unauthorized

Invalid API key

500Internal Server Error

Internal server error

Retrieves the storage size

POST
https://ksm-assethub.nownodes.io/state_getStorageSize

Authorizations

ApiKeyAuthApiKeyAuth

API_key string

NOWNodes API key passed in the api-key header.

Returns the size in bytes of the storage value under a specific key.

Body

application/json

JSON-RPC request parameters

jsonrpcstringrequired
idstringrequired
methodstringrequired
paramsArray<any>required

Storage key(s) to measure

Response

200OK

Storage size result

400Bad Request

Malformed address or application ID

401Unauthorized

Invalid API key

500Internal Server Error

Internal server error

Query historical storage entries

POST
https://ksm-assethub.nownodes.io/state_queryStorage

Authorizations

ApiKeyAuthApiKeyAuth

API_key string

NOWNodes API key passed in the api-key header.

Returns the storage changes between two blocks for a set of keys.

Body

application/json

JSON-RPC request parameters

jsonrpcstringrequired
idstringrequired
methodstringrequired
paramsArray<any>required

List of storage keys and block range

Response

200OK

Query storage result

400Bad Request

Malformed address or application ID

401Unauthorized

Invalid API key

500Internal Server Error

Internal server error

Query storage entries at a specific block

POST
https://ksm-assethub.nownodes.io/state_queryStorageAt

Authorizations

ApiKeyAuthApiKeyAuth

API_key string

NOWNodes API key passed in the api-key header.

Returns the storage values for given keys at a specified block hash.

Body

application/json

JSON-RPC request parameters

jsonrpcstringrequired
idstringrequired
methodstringrequired
paramsArray<any>required

List of storage keys and block hash

Response

200OK

Storage entries at block

400Bad Request

Malformed address or application ID

401Unauthorized

Invalid API key

500Internal Server Error

Internal server error